## atari-fdisk 0.7.1-5

=== debian/changelog ===
atari-fdisk (0.7.1-5) unstable; urgency=low

  * Hm, NMU-fixed bug still not acked? (Closes: #115998)
  * bumped Standards-Version
  * updated my mail address
  * also generate an .udeb for debian-installer (Closes: #229808)

 -- Roman Hodek <roman@hodek.net>  Sun, 29 Feb 2004 16:25:17 +0100

atari-fdisk (0.7.1-4) unstable; urgency=low

  * Integrated HURD patch by Marcus.Brinkmann@ruhr-uni-bochum.de;
    Closes: #108307
  * Added build dependency; Closes: #70132
  * Part of #79705 (new archs have been fixed by 0.7.1-3.1 NMU), but the 
    unusual arch list of atari-fdisk-cross is intentional, as I unfortunately
    can't express "anything but m68k" otherwise; Closes: #79705
  * Removed gcc warning about trigraph that isn't a trigraph :)
  
 -- Roman Hodek <roman@hodek.net>  Mon, 22 Sep 2003 22:36:55 +0200

atari-fdisk (0.7.1-3.1) unstable; urgency=low

  * NMU
  * Add newer Debian architectures to the strange arch field for
    atari-fdisk-cross.  (closes: Bug#115998)

 -- Doug Porter <dsp@debian.org>  Thu, 25 Oct 2001 17:19:36 -0500

atari-fdisk (0.7.1-3) unstable; urgency=low

  * FHS transition (Standards-Version: 3.0.1)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 26 Oct 1999 15:58:50 +0200

atari-fdisk (0.7.1-2) unstable; urgency=low

  * Replace $(LD) in Makefile by $(CC) to better allow cross-compiling.
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 8 Jul 1999 13:57:15 +0200

atari-fdisk (0.7.1-1) unstable; urgency=low

  * New upstream version.
  * Remove dh_du call from debian/rules, since it's deprecated.
  * Added hurd-i386 and mips to arch list of atari-fdisk-cross. The former
    already exists, and mips may come.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Sat, 19 Sep 1998 03:42:36 +0200

atari-fdisk (0.7-4) frozen unstable; urgency=low

  * Add explicit dependency on awk, so that base m68k disks can be build
    successfully.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 24 Mar 1998 15:04:15 +0100

atari-fdisk (0.7-3) unstable; urgency=low

  * Fix typos in package description. Fixes: #18892

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 6 Mar 1998 09:56:07 +0100

atari-fdisk (0.7-2) unstable; urgency=low

  * dh_installmanpages didn't install debian/atari-fdisk.8 as man page
    anymore.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 17 Feb 1998 15:10:36 +0100

atari-fdisk (0.7-1) unstable; urgency=low

  * New upstream version
  * Do not inlcude /sbin/fdisk symlink in the package. This removes the
    conflict between the various m68k *-fdisk packages. Instead, the
    symlink is generated dynamically in the postinst and is made point to
    the native fdisk of the machine.
  * Do not check that install machine is Atari in preinst; all m68k fdisk
    packages are required on all m68k machines...
  * Changed Architecture: field of atari-fdisk-cross package from "any" to
    a list of all Debian archs except m68k. This is neccesary because the
    package doesn't make sense for m68k but all others, and there's no way
    to specify a negative arch list.
  * Removed conflicts between atari-fdisk and atari-fdisk-cross
    (unnecessary with Architecture: changes).
  * Corrected FSF address in copyright file.
  * Updated Standards-Version to 2.4.0.0 (no changes)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 11 Feb 1998 14:49:37 +0100

atari-fdisk (0.6.1-2) unstable; urgency=low

  * Corrected title of man page.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 22 Jan 1998 12:15:35 +0100

atari-fdisk (0.6.1-1) unstable; urgency=low

  * Initial Release as Debian package.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 17 Dec 1997 15:37:33 +0100
