=== debian/control ===
Source: atari-fdisk
Maintainer: Roman Hodek <roman@hodek.net>
Section: base
Priority: required
Build-Depends: debhelper
Standards-Version: 3.6.1

Package: atari-fdisk
Architecture: m68k
Depends: awk, ${shlibs:Depends}
Description: Partition editor for Atari
 Atari-fdisk allows you to create and edit the partition table of a
 disk. It supports both the AHDI 5.0 and ICD variations of the Atari
 format. It is an interactive tool with a menu similar to PC fdisk,
 and also supports most options of PC fdisk.

Package: atari-fdisk-udeb
Section: debian-installer
Priority: standard
Architecture: m68k
Depends: ${shlib:Depends}
Description: Partition editor for Atari
  atari-fdisk udeb package

Package: atari-fdisk-cross
Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
Section: otherosfs
Priority: extra
Depends: ${shlib:Depends}
Description: Partition editor for Atari (running on non-Atari)
 Atari-fdisk allows you to create and edit the partition table of a
 disk partitioned in Atari format. It supports both the AHDI 5.0 and
 ICD variations of the Atari format. It is an interactive tool with a
 menu similar to PC fdisk, and also supports most options of PC fdisk.
