## atari-fdisk 0.7.1-5.1

=== debian/changelog ===
atari-fdisk (0.7.1-5.1) unstable; urgency=high

  * NMU
    Set dependencies for atari-fdisk-cross and atari-fdisk-udeb to
    ${shlibs:Depends}, not ${shlib:Depends}; for #263770.
  * Urgency=high for sarge.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Aug 2004 06:58:43 +0100
