=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Section: debian-installer
 Priority: standard
 Architecture: m68k
-Depends: ${shlib:Depends}
+Depends: ${shlibs:Depends}
 Description: Partition editor for Atari
   atari-fdisk udeb package
 
@@ -26,7 +26,7 @@
 Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
 Section: otherosfs
 Priority: extra
-Depends: ${shlib:Depends}
+Depends: ${shlibs:Depends}
 Description: Partition editor for Atari (running on non-Atari)
  Atari-fdisk allows you to create and edit the partition table of a
  disk partitioned in Atari format. It supports both the AHDI 5.0 and
