## atari-fdisk 0.7.1-5.1ubuntu1

=== debian/changelog ===
atari-fdisk (0.7.1-5.1ubuntu1) hoary; urgency=low

  * Added amd64 to target arch for atari-fdisk-cross

 -- Stephen Shirley <diamond@nonado.net>  Tue,  5 Apr 2005 23:57:27 +0100
