=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
   atari-fdisk udeb package
 
 Package: atari-fdisk-cross
-Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
+Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc amd64
 Section: otherosfs
 Priority: extra
 Depends: ${shlibs:Depends}
