## atari-fdisk 0.7.1-5.3

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
         binary binary-sub diff
 
 atari-fdisk: $(OBJS)
-	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 	ln -f $@ fdisk
 
 clean:
