=== debian/changelog ===
atari-fdisk (0.7.1-5.3) unstable; urgency=high

  * Non-maintainer upload.
  * Using glibcs lseek() instead of the kernels to avoid failure in
    64bit-environments. Closes: #404358

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 30 Dec 2006 09:50:10 +0000

atari-fdisk (0.7.1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to kernel syscall macros (Closes: #392554, #393024).
  * Add amd64 as a supported arch (Closes: #248795).
  * Remove XSI:ism in postinst (Closes: #254777).
  * Add XB-Subarchitecture: atari q40 for udeb (Closes: #250582).
  * Fix FSF's address.
  * Use dpkg --print-architecture instead of --print-gnu-build-architecture.

 -- Luk Claes <luk@debian.org>  Mon, 23 Oct 2006 20:31:47 +0200
