=== debian/control ===
--- 
+++ 
@@ -18,12 +18,13 @@
 Section: debian-installer
 Priority: standard
 Architecture: m68k
+XB-Subarchitecture: atari q40
 Depends: ${shlibs:Depends}
 Description: Partition editor for Atari
   atari-fdisk udeb package
 
 Package: atari-fdisk-cross
-Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc amd64
+Architecture: alpha amd64 arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
 Section: otherosfs
 Priority: extra
 Depends: ${shlibs:Depends}
