## atari-fdisk 0.7.1-5.4

=== debian/changelog ===
atari-fdisk (0.7.1-5.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add new archs, closes: #396326

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 16 Apr 2008 20:55:15 +0300
