=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
   atari-fdisk udeb package
 
 Package: atari-fdisk-cross
-Architecture: alpha amd64 arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
+Architecture: alpha amd64 arm armeb armel hppa hurd-i386 i386 ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sh sh4 sparc
 Section: otherosfs
 Priority: extra
 Depends: ${shlibs:Depends}
