=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 #export DH_VERBOSE=1
 
-BUILDARCH = $(shell dpkg --print-gnu-build-architecture)
+BUILDARCH = $(shell dpkg --print-architecture)
 
 packn = atari-fdisk
 packu = atari-fdisk-udeb
